#include <ctype.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "opcodes.h"
#include "util.h"
#include "pragmas.h"


void pragDoDirective(char *params)
{
  int numtoks = 0;
  char * tok;
  char * tokptr;
  char * subptr;
  char * param;
  char * value;
  char *pragma = NULL;
  char *class = NULL;
  char *start = NULL;

  while ((tok = strtok_r(numtoks ? NULL : params, ",", &tokptr))) {
    MESSAGE(MSG_DEBUG, "Got token '%s'", tok);
    if (!numtoks) pragma = tok; else {
      param=strtok_r(tok,  "=", &subptr);
      value=strtok_r(NULL, "=", &subptr);
      if (!strcmp(param, "class")) class = value;
      if (!strcmp(param, "abs"))   start = value;
    }
    numtoks++;
  }

  lowercase(pragma);
  if (!strcmp(pragma, "smallmem")) {
    MESSAGE(MSG_NOTICE, "Using small memory model");
    memmodel = MM_SMALL;
  }
  if (!strcmp(pragma, "largemem")) {
    MESSAGE(MSG_NOTICE, "Using large memory model");
    memmodel = MM_LARGE;
  }
  return;
}

